//
//  FYAntiAddiction.h
//  FYAntiAddictionDemo
//
//  Created by 吴垠锋 on 2019/12/9.
//  Copyright © 2019 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYAntiAddiction/FYANAntiAddictionInfo.h>
#import <FYAntiAddiction/FYANRealNameInfo.h>
#import <FYAntiAddiction/FYANLimitPayInfo.h>
#import <FYAntiAddiction/FYANResponse.h>
#import <FYAntiAddiction/FYANUserInfo.h>
#import <FYAntiAddiction/FYANShowPayAlertInfo.h>
#import <FYAntiAddiction/FYANDelegate.h>
#import <FYAntiAddiction/FYANHealthResponse.h>

NS_ASSUME_NONNULL_BEGIN

/// 10236
/// 2023.04.18 黄思源
/// 修改bundle名称为FYAntiAddiction
/// 使用统一星云风格的弹窗提示
/// 当同时使用了“星云国内通行证”时，弹窗按钮颜色以及文字链接颜色需跟随星云通行证主题色
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10266
/// 2023.09.28 黄思源
/// 重构移动端日志上报
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10289
/// 2024.01.17 黄思源
/// 增加适龄限制，增加未实名限制弹窗
///
/// 3.3.52
/// 2024.03.05 黄思源
/// 对外发布
///
/// 10292
/// 2024.03.19 黄思源
/// 修改提前判断是实名信息是否为空，导致弹出未实名提示问题
///
/// 3.3.53
/// 2024.03.20 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
///
/// 10338
/// 2024.10.23 黄思源
/// 健康系统重构
#define FYAntiAddictionVersion @"3.3.73"
#define FYANInnerVersion @"10338"
#define FYAntiAddictionName @"FYAntiAddiction"
#define FYANBundleName @"FYAntiAddiction"

extern NSString * const FYANAntiAddictionCallback;       // 防沉迷回调
extern NSString * const FYANTimeOutCallback;             // 防沉迷时间回调
extern NSString * const FYANLimitPayCallback;            // 充值限制回调
extern NSString * const FYANRealNameCallback;            // 接收实名认证信息回调


@interface FYAntiAddiction : NSObject

+ (instancetype)sharedInstance;

/// 初始化配置
- (void)initConfig:(id<FYANDelegate>)delegate;
/// 进入健康检查流程
- (void)loginCheck:(FYANUserInfo*)info;
/// 展示支付限制弹窗
- (void)showPayAlert:(FYANShowPayAlertInfo*)info;
/// 下线
- (void)offline;

#pragma mark - 过期的对外方法
/// 初始化
- (void)doInit;

/// 验证是否已实名认证
- (void)realName:(FYANRealNameInfo *)info;

/// 是否到防沉迷时间
- (void)isTimeOut;

/// 防沉迷接口
- (void)antiAddiction:(FYANAntiAddictionInfo *)info;

/// 校验充值金额是否超额
- (void)limitPay:(FYANLimitPayInfo *)info;

#pragma mark - 游戏转接口
- (NSString *)bridgeCallFunc:(NSString *)funcName infoJson:(NSString *)infoJson;

@end

NS_ASSUME_NONNULL_END


