//
//  FYService.h
//  FYServiceDemo
//
//  Created by 周永桂 on 2020/6/10.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYService/FYSBeforeEnterGameInfo.h>
#import <FYService/FYSAfterEnterGameInfo.h>
#import <FYService/FYSBeforeLoginInfo.h>
#import <FYService/FYSInitInfo.h>


/// 10254
/// 2023.07.24 黄思源
/// 修改Bundle名称为FYService
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10266
/// 2023.10.13 黄思源
/// 移动端日志上报重构
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10281
/// 2023.10.31 黄思源
/// 修改导航栏样式设置，修复导航栏标题可能无法显示问题
///
/// 3.3.50
/// 2023.11.16 黄思源
/// 对外发布
///
/// 10292
/// 2024.01.12 黄思源
/// 联系客服增加图片授权上传弹窗
/// 去除相机选项
/// 去除自定义的输入法工具栏
///
/// 3.3.53
/// 2024.03.20 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
#define FYSVersion @"3.3.54"
#define FYSInnerVersion @"10316"
#define FYServiceName @"FYService"
#define FYServiceBundle @"FYService"


@interface FYService : NSObject

+ (instancetype)sharedInstance;

/// 非必须，配置初始化信息非配置文件获取时调用，慎用
- (void)doInit:(FYSInitInfo *)info;

/// 登录之前
- (void)beforeLogin:(FYSBeforeLoginInfo *)info;

/// 进入游戏之前
- (void)beforeEnterGame:(FYSBeforeEnterGameInfo *)info;

/// 进入游戏后
- (void)afterEnterGame:(FYSAfterEnterGameInfo *)info;

- (NSString *)bridgeCallFunc:(NSString *)funcName infoJson:(NSString*)infoJson;

@end
///
/// 3.3.42, 10178
/// 2022.07.12 周永桂
/// 增加 关闭按钮 JS交互
/// 增加导航栏适配 iOS 15
///
/// 3.3.39, 10124
/// 2022.03.01 周永桂
/// 优化日志上报extra字段
/// 优化接口代码
/// 优化debuger 注册模块版本号
///
/// 3.3.30, 10028
/// 2021.06.16 周永桂
/// 开发者中心&运营系统合并改版,更新Debuger 调用
/// 优化 appid 获取
///
/// 3.3.18，3.3.25
/// 2021.06.16 周永桂
/// 调整返回游戏按钮 为 X
/// 增加新的签名交互
/// 增加文件上传OSS区分
///
/// 3.3.12
/// 2021.05.25 周永桂
/// 隐私数据加密传输
///
/// 3.3.4
/// 2021.04.30 周永桂
/// 修复UIAlertController 在iPad上调用崩溃bug
///
/// 3.2.2.0430
/// 2021.04.08 周永桂
/// doInit 新增调试模式开启状态参数值 is_debug
/// 增加JS调用原生相册/相机
/// 去除强制竖屏配置
///
/// 3.2.0.0301
/// 2021.02.26 周永桂
/// 更新 debuger 调用
///
/// 3.1.9.0201
/// 2021.01.25 周永桂
/// 修复 debuger 上报遗漏参数bug
/// 新增doInit 接口，如果有传值时将不会使用配置文件的值
///
/// 3.1.5.1224
/// 2020.12.18 周永桂
/// 统一版本
///
/// 3.1.5.1216
/// 2020.12.15 周永桂
/// 修复客服第一次启动白屏bug
///
/// 3.1.4.1210
/// 2020.12.08 周永桂
/// 修改版本号，与产品需求版本一一对应
/// 增加技术埋点
///
/// 3.1.0
/// 2020.11.01 周永桂
/// 修改大版本号为3
///
/// 3.1.0
/// 2020.10.20 周永桂
/// 客服增加多语言，实现国际化（简体、繁体、英文）
/// 关闭系统自带的InputAccessoryView，则启用自定义View
///
/// 2.0.2
/// 2020.10.16 周永桂
/// 增加openid判断，防止空值崩溃
///
/// 2.0.1
/// 2020.06.11 周永桂
/// 修复客服 iOS 14 输入框键盘工具栏约束bug
///
/// 2.0.0
/// 2020.06.11 周永桂
/// 客服新版发布
///
